﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<script src="/Scripts/dhtmlxcommon.js" type="text/javascript" charset="utf-8"></script>
		<script src="/Scripts/dhtmlxgrid.js" type="text/javascript" charset="utf-8"></script>
		<script src="/Scripts/dhtmlxgridcell.js" type="text/javascript" charset="utf-8"></script>
		
		<script src="/Scripts/ext/dhtmlxgrid_filter.js" type="text/javascript" charset="utf-8"></script>
		
		<link rel="stylesheet" href="/Scripts/dhtmlxgrid.css" type="text/css" media="screen" charset="utf-8">
		<link rel="stylesheet" href="/Scripts/skins/dhtmlxgrid_dhx_skyblue.css" type="text/css" media="screen" charset="utf-8">
		
		<script src="/Scripts/dhtmlxdataprocessor.js" type="text/javascript" charset="utf-8"></script>
	</head>
	<body>
		<div id="grid_here" style="width:600px; height:400px;">
		</div>
		<script type="text/javascript" charset="utf-8">
		    var grid = new dhtmlXGridObject("grid_here");
		    grid.setImagePath("/Scripts/imgs/");
		    grid.setHeader("First name, Last name, Phone");
		    grid.attachHeader("#text_filter,#text_filter,#text_filter");
		    grid.setColumnIds("first_name,last_name,phone");
		    grid.setColSorting("str,str,str");
		    grid.setInitWidths("100,100,*");
		    grid.setSkin("dhx_skyblue");
		    grid.init();

		    grid.load("/Admin/Data?=" + grid.uid());//Add uid to prevent cache

		    dp = new dataProcessor("/Admin/Save");
		    dp.setTransactionMode("POST", false);
		    dp.enableDataNames(true);
		    dp.init(grid);

		    function clear_filter() {
		        grid.filterBy(0, "");
		        grid._f_rowsBuffer = null;
		    }
		    function add() {
		        clear_filter();
		        grid.addRow(grid.uid(), 'new user');
		    }
		    function remove() {
		        clear_filter();
		        grid.deleteSelectedRows();
		    }
		</script>
		<input type="button" value="Add" onclick="add();">
		<input type="button" value="Delete" onclick="remove();">
	</body>
</html>